org.apache.xmlgraphics.xmp.schemas.pdf

## Class PDFXAdapter

- java.lang.Object
- - org.apache.xmlgraphics.xmp.XMPSchemaAdapter
  - - org.apache.xmlgraphics.xmp.schemas.pdf.PDFXAdapter

-     public class PDFXAdapter
      extends XMPSchemaAdapter

- - ### Field Summary

    - ### Fields inherited from class org.apache.xmlgraphics.xmp.XMPSchemaAdapter

      `meta`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PDFXAdapter(Metadata meta, java.lang.String namespace)` Constructs a new adapter for PDF/X around the given metadata object.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setVersion(java.lang.String v)`

    - ### Methods inherited from class org.apache.xmlgraphics.xmp.XMPSchemaAdapter

      `addDateToSeq, addObjectToArray, addStringToBag, addStringToSeq, findQualifiedStructure, findQualifiedValue, formatISO8601Date, formatISO8601Date, getDateArray, getDateValue, getLangAlt, getObjectArray, getQName, getSchema, getStringArray, getValue, removeLangAlt, removeStringFromArray, setCompact, setDateValue, setLangAlt, setProperty, setValue`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PDFXAdapter

          public PDFXAdapter(Metadata meta,
                             java.lang.String namespace)

      Constructs a new adapter for PDF/X around the given metadata object.
      Parameters:
        `meta` - the underlying metadata
        `namespace` - the namespace to access the schema (must be one of the PDF/X schema namespaces)

  - ### Method Detail

    - #### setVersion

          public void setVersion(java.lang.String v)

Copyright 1999-2025 The Apache Software Foundation. All Rights Reserved.